package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @time: 2024-07-28
 */
public class MedPacsInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private String hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告名称
     */
    private String repName;

    /**
     * 报告类型代码
     */
    private String repType;

    /**
     * 检查类型名称
     */
    private String repTypeName;

    /**
     * 检查部位
     */
    private String part;

    /**
     * 发布时间
     */
    private String repDate;

    /**
     * 报告检查时间
     */
    private String checkDate;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 开单科室代码
     */
    private String deptId;

    /**
     * 开单科室名称
     */
    private String deptName;

    /**
     * 报告单状态
     */
    private String registerFlag;

    /**
     * 报告医生
     */
    private String reportDoctor;

    /**
     * 报告审核医生
     */
    private String checker;

    /**
     * 云胶片地址
     */
    private String yjpdz;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public String getRepNo() {
        return repNo;
    }

    public void setRepNo(String repNo) {
        this.repNo = repNo;
    }
    public String getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(String hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getRepName() {
        return repName;
    }

    public void setRepName(String repName) {
        this.repName = repName;
    }
    public String getRepType() {
        return repType;
    }

    public void setRepType(String repType) {
        this.repType = repType;
    }
    public String getRepTypeName() {
        return repTypeName;
    }

    public void setRepTypeName(String repTypeName) {
        this.repTypeName = repTypeName;
    }
    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }
    public String getRepDate() {
        return repDate;
    }

    public void setRepDate(String repDate) {
        this.repDate = repDate;
    }
    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }
    public String getApplyDoctor() {
        return applyDoctor;
    }

    public void setApplyDoctor(String applyDoctor) {
        this.applyDoctor = applyDoctor;
    }
    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getRegisterFlag() {
        return registerFlag;
    }

    public void setRegisterFlag(String registerFlag) {
        this.registerFlag = registerFlag;
    }
    public String getReportDoctor() {
        return reportDoctor;
    }

    public void setReportDoctor(String reportDoctor) {
        this.reportDoctor = reportDoctor;
    }
    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }
    public String getYjpdz() {
        return yjpdz;
    }

    public void setYjpdz(String yjpdz) {
        this.yjpdz = yjpdz;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedPacsInfo{" +
            "repNo=" + repNo +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", repName=" + repName +
            ", repType=" + repType +
            ", repTypeName=" + repTypeName +
            ", part=" + part +
            ", repDate=" + repDate +
            ", checkDate=" + checkDate +
            ", applyDoctor=" + applyDoctor +
            ", deptId=" + deptId +
            ", deptName=" + deptName +
            ", registerFlag=" + registerFlag +
            ", reportDoctor=" + reportDoctor +
            ", checker=" + checker +
            ", yjpdz=" + yjpdz +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
